Page MenuHomePhabricator

F4. Add legal text to Flow side rail
Closed, ResolvedPublic2 Story Points

Description

Add legal text to the bottom of the side rail.

Event Timeline

DannyH created this task.Apr 27 2015, 11:48 PM
DannyH updated the task description. (Show Details)
DannyH raised the priority of this task from to Normal.
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2015, 11:48 PM
DannyH set Security to None.Apr 27 2015, 11:48 PM
DannyH edited a custom field.
Ltrlg added a subscriber: Ltrlg.Jun 12 2015, 5:55 PM
DannyH renamed this task from Add legal text to Flow side rail to F4. Add legal text to Flow side rail.Jul 23 2015, 12:41 AM
Mattflaschen-WMF added a comment.EditedJul 25 2015, 2:34 AM

Do we also want the last line?

Privacy policy About Wikipedia Disclaimers Contact Wikipedia Developers Mobile view

The Disclaimers are partly for legal reasons.

Change 226958 had a related patch set uploaded (by Mattflaschen):
Add date line and copyright message to header

https://gerrit.wikimedia.org/r/226958

For now, I haven't added that line.

Also, I noticed that "This page was last modified" (from the standard footer) doesn't match Flow terminology. For now, I added a new message (specific to Flow descriptions) and had it refer to the description's revision. This seems pretty straightforward, both UX-wise and technically. If this doesn't work, we should spec it out.

Change 227257 had a related patch set uploaded (by Mattflaschen):
Set wgRightsUrl and wgRightsText in WikimediaMessages

https://gerrit.wikimedia.org/r/227257

Change 227257 merged by jenkins-bot:
Set wgRightsUrl and wgRightsText in WikimediaMessages

https://gerrit.wikimedia.org/r/227257

Change 226958 merged by jenkins-bot:
Add date line and copyright message to header

https://gerrit.wikimedia.org/r/226958

Moving this back to In Dev because it doesn't look the way that it does in the mockup. Text should be smaller.

SBisson added a subscriber: SBisson.Aug 7 2015, 4:41 PM

On a new board that never had a description

Change 230279 had a related patch set uploaded (by Mattflaschen):
Fix legal text issues:

https://gerrit.wikimedia.org/r/230279

Moving this back to In Dev because it doesn't look the way that it does in the mockup. Text should be smaller.

Done in that change. We could also add that space above the line, but need to define how the space should work when there is no description yet.

Change 230279 merged by jenkins-bot:
Fix legal text issues:

https://gerrit.wikimedia.org/r/230279

Add space above footer regardless.

Mooeypoo claimed this task.Aug 11 2015, 5:42 PM

Change 230846 had a related patch set uploaded (by Mooeypoo):
Increase footer spacing in description

https://gerrit.wikimedia.org/r/230846

Change 230846 merged by jenkins-bot:
Increase footer spacing in description

https://gerrit.wikimedia.org/r/230846

In T97371#1524627, @Mattflaschen wrote:

And make the «li> render without bullet: http://en.wikipedia.beta.wmflabs.org/wiki/Talk:Flow

That turned out to be due to an outdated local override on beta labs. Which I fixed.

The associated patch adds space above the footer, and also hides the footer when the description is placed above the discussion because the window is narrow.

For the empty board

  • The initial look - notice that the issue @SBisson mentioned has been fixed

  • Editing mode for the board description(the legal text is the same as for Reply)

  • Resized browser window - no legal text

  • The board with text - the space between the board's text and the legal text is preserved.

The associated patch adds space above the footer, and also hides the footer when the description is placed above the discussion because the window is narrow.

That includes all mobile devices, right? Has this been cleared with legal?

In T97371#1532400, @Mattflaschen wrote:

The associated patch adds space above the footer, and also hides the footer when the description is placed above the discussion because the window is narrow.

That includes all mobile devices, right? Has this been cleared with legal?

...good point. I don't think it has been, so maybe we should unhide it for now.

Catrope claimed this task.Aug 13 2015, 5:39 PM

Change 231409 had a related patch set uploaded (by Catrope):
Don't hide the legal text on narrow screens for now

https://gerrit.wikimedia.org/r/231409

Change 231409 merged by jenkins-bot:
Don't hide the legal text on narrow screens for now

https://gerrit.wikimedia.org/r/231409

Etonkovidova added a comment.EditedAug 14 2015, 9:46 PM

On a narrow screen - the legal text is displayed in a board description:

Also, mobile http://en.m.wikipedia.beta.wmflabs.org/ was checked too.

DannyH closed this task as Resolved.Aug 24 2015, 8:42 PM

I'm going to talk to Nick + Legal about the small-screen display, and I filed a ticket to take out the top line: T110082: Take out "This description has been modified" line in side rail legal text.